Skip to main content
`Ctrl`+`K`

# Utility Functions

## Utilities

> adddir(d)

>   Add a directory to the search path.

>   Adds directory `d` to the set of directories where Cantera looks for input and data files.

>   Parameters:

>     d – Path to add to the MATLAB search path.

> cleanup()

>   Delete all stored Cantera objects and reclaim memory.

> geterr()

>   Get the error message from a Cantera error.

> getDataDirectories()

>   Get a cell array of the directories searched for data files.

>   Get a cell array of the directories Cantera searches for data files

>   Returns:

>     Cell array with strings representing the data file search directories

> canteraVersion()

>   Get Cantera version information

>   Returns:

>     A string containing the Cantera version

> canteraGitCommit()

>   Get Cantera Git commit hash

>   Returns:

>     A string containing the Git commit hash for the current version of Cantera